# DO NOT DELETE: Beginning of Haskell dependencies
libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.hi  : %hi: %o  libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.o : libraries/directory/dist-install/build/System/Directory.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.o : libraries/haskeline/System/Console/Haskeline/Key.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Key.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.o : libraries/haskeline/System/Console/Haskeline/LineState.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/LineState.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/haskeline/System/Console/Haskeline/Command.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Command.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Class.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.o : libraries/haskeline/System/Console/Haskeline/Backend/WCWidth.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Backend/WCWidth.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.o : libraries/base/dist-install/build/Foreign/C/Types.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/haskeline/System/Console/Haskeline/MonadException.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/MonadException.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Control/Concurrent.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Writer.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/RWS.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Maybe.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Error.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/State/Strict.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Reader.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Identity.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Control/Exception.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.o : libraries/base/dist-install/build/Control/Exception.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/haskeline/System/Console/Haskeline/Monads.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Monads.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/base/dist-install/build/Data/IORef.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Reader.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Reader.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Maybe.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Class.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/haskeline/System/Console/Haskeline/Completion.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Completion.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Directory.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.o : libraries/filepath/dist-install/build/System/FilePath.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.o : libraries/haskeline/System/Console/Haskeline/Command/Undo.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Command/Undo.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/haskeline/System/Console/Haskeline/Command/KillRing.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Command/KillRing.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/base/dist-install/build/Data/IORef.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/haskeline/System/Console/Haskeline/Prefs.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Prefs.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/containers/dist-install/build/Data/Map.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.o : libraries/haskeline/System/Console/Haskeline/Recover.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Recover.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.o : libraries/base/dist-install/build/GHC/IO/Encoding/Failure.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.o : libraries/base/dist-install/build/GHC/IO/Encoding.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/haskeline/System/Console/Haskeline/History.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/History.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/History.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/directory/dist-install/build/System/Directory.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/base/dist-install/build/Control/Exception.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/containers/dist-install/build/Data/Sequence.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/History.o : libraries/containers/dist-install/build/Data/Sequence.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/haskeline/System/Console/Haskeline/Command/History.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Command/History.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/base/dist-install/build/Data/IORef.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/History.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.o : libraries/haskeline/System/Console/Haskeline/Backend/Posix/Encoder.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Backend/Posix/Encoder.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Recover.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.o : libraries/base/dist-install/build/GHC/IO/Encoding.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/haskeline/System/Console/Haskeline/Term.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Term.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/bytestring/dist-install/build/Data/ByteString/Char8.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/System/IO/Error.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/Control/Exception.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/Data/Word.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/stm/dist-install/build/Control/Concurrent/STM.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/base/dist-install/build/Control/Concurrent.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/System/Console/Haskeline/RunCommand.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/RunCommand.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/System/Console/Haskeline/Command/Completion.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Command/Completion.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.hi  : %hi: %o  libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/System/Posix/Internals.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/GHC/IO/Handle/Internals.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/GHC/IO/Handle/Types.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/GHC/IO/Exception.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/System/IO/Error.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/GHC/IO/FD.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix/Encoder.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/System/Environment.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/System/Posix/Types.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/unix/dist-install/build/System/Posix/Signals/Exts.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Control/Concurrent.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/stm/dist-install/build/Control/Concurrent/STM.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/unix/dist-install/build/System/Posix/Terminal.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/containers/dist-install/build/Data/Map.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Foreign/C/Types.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.o : libraries/base/dist-install/build/Foreign.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/System/Console/Haskeline/Backend/Terminfo.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Backend/Terminfo.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Writer.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/containers/dist-install/build/Data/IntMap.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/Control/Exception.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/Data/List.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.o : libraries/terminfo/dist-install/build/System/Console/Terminfo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/haskeline/System/Console/Haskeline/Backend/DumbTerm.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Backend/DumbTerm.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/WCWidth.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/haskeline/System/Console/Haskeline/Backend.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Backend.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/DumbTerm.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Terminfo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend/Posix.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/System/Console/Haskeline/InputT.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/InputT.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/base/dist-install/build/Data/IORef.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/base/dist-install/build/Control/Monad/Fix.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/filepath/dist-install/build/System/FilePath.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/directory/dist-install/build/System/Directory.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Backend.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/History.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/System/Console/Haskeline/Emacs.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Emacs.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/System/Console/Haskeline/Vi.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/Vi.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Undo.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/KillRing.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/History.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command/Completion.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/System/Console/Haskeline.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/base/dist-install/build/Data/Char.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/base/dist-install/build/System/IO.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/RunCommand.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Key.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Term.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Completion.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/InputT.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/MonadException.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Monads.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/History.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Prefs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Emacs.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Vi.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/Command.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline.o : libraries/haskeline/dist-install/build/System/Console/Haskeline/LineState.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/IO.o : libraries/haskeline/System/Console/Haskeline/IO.hs
$(eval $(call hi-rule,libraries/haskeline/dist-install/build/System/Console/Haskeline/IO.hi  : %hi: %o  libraries/haskeline/System/Console/Haskeline/IO.hs))
libraries/haskeline/dist-install/build/System/Console/Haskeline/IO.o : libraries/base/dist-install/build/Prelude.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/IO.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/IO.o : libraries/base/dist-install/build/Control/Concurrent.hi
libraries/haskeline/dist-install/build/System/Console/Haskeline/IO.o : libraries/haskeline/dist-install/build/System/Console/Haskeline.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/haskeline_dist-install_depfile_haskell_EXISTS = YES
